<?php
header('Content-Type: application/json');

// 데이터베이스 연결 설정
$host = 'localhost';
$dbname = 'lunar_scada_hd_asan';
$username = 'root';
$password = '!eogksehrflqakstp!';

try {
    $pdo = new PDO("mysql:host=$host;dbname=$dbname;charset=utf8", $username, $password);
    $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
    
    // tag_list 테이블에서 모든 필요한 데이터 조회
    $sql = "SELECT 
                `공장명`,
                `공장구분`,
                `배기팬위치`,
                `기둥번호`,
                `상세위치`,
                `배출구번호`,
                `운전상태`,
                `통신상태`,
                `현재전류값`,
                `가동기준전류`,
                `전일가동시간`,
                `금일가동시간`,
                `전일사용량(kWh)`,
                `금일사용량(kWh)`,
                `전일지침값(kWh)`,
                `금일지침값(kWh)`,
                `업데이트시각`,
                `위치`,
                `좌표1_x`,
                `좌표1_y`,
                `좌표2_x`,
                `좌표2_y`,
                `전류최저`,
                `전류최고`,
                `지침값최고`
            FROM tag_list 
            WHERE `사용` = 1 
            ORDER BY `공장명`, `배기팬위치`, `기둥번호`";
    
    $stmt = $pdo->prepare($sql);
    $stmt->execute();
    
    $result = $stmt->fetchAll(PDO::FETCH_ASSOC);
    
    echo json_encode($result);
    
} catch(PDOException $e) {
    http_response_code(500);
    echo json_encode(['error' => '데이터베이스 오류: ' . $e->getMessage()]);
}
?> 